API referenceBilling
Change Plan
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/billing/change-plan" \ -H "Content-Type: application/json" \ -d '{ "plan": "free", "interval": "month" }'{ "data": { "workspaceId": "string", "plan": "free", "status": "none", "polarCustomerId": "string", "polarSubscriptionId": "string", "polarProductId": "string", "cancelAtPeriodEnd": true, "currentPeriodEnd": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}